/**
 * @private
 *
 * @file Shared TTY primitives for stdio/stdout.ts + stdio/stderr.ts.
 */
/**
 * Clear the current line on the given stream. Only works in TTY environments.
 *
 * @private
 */
export declare function clearLineOn(stream: NodeJS.WriteStream): void;
/**
 * Move cursor to specific position on the given stream. Only works in TTY
 * environments.
 *
 * @private
 */
export declare function cursorToOn(stream: NodeJS.WriteStream, x: number, y?: number | undefined): void;
/**
 * Get the number of columns on the given stream (or 80 fallback).
 *
 * @private
 */
export declare function getColumnsOf(stream: NodeJS.WriteStream): number;
/**
 * Get the number of rows on the given stream (or 24 fallback).
 *
 * @private
 */
export declare function getRowsOf(stream: NodeJS.WriteStream): number;
/**
 * Check if the given stream is connected to a TTY.
 *
 * @private
 */
export declare function isTTYOf(stream: NodeJS.WriteStream): boolean;
